summarylogtreecommitdiffstats
path: root/gog-transistor
diff options
context:
space:
mode:
authorruniq2017-01-28 18:15:17 +0100
committerruniq2017-01-28 18:15:17 +0100
commit9dd665a69925001bda65f0810e10e48a93060d39 (patch)
tree112125592d053d68f06fc0b49fc8264e05e4cb59 /gog-transistor
downloadaur-9dd665a69925001bda65f0810e10e48a93060d39.tar.gz
Initial commit
Diffstat (limited to 'gog-transistor')
-rw-r--r--gog-transistor13
1 files changed, 13 insertions, 0 deletions
diff --git a/gog-transistor b/gog-transistor
new file mode 100644
index 000000000000..bbad3f45c0ea
--- /dev/null
+++ b/gog-transistor
@@ -0,0 +1,13 @@
+#! /bin/sh
+
+run="/opt/gog-transistor/start.sh"
+# The launcher fails unless in its dir.
+cd "$(dirname "$run")" || exit 1
+
+if which firejail >/dev/null 2>&1 && [ -z "$FIREJAIL_IGNORE" ]; then
+ echo "Firejail detected. Enforcing a sandbox"
+ echo "To bypass Firejail enforcement, run FIREJAIL_IGNORE=1 $run."
+ firejail --caps.drop=all "$run"
+else
+ "$run"
+fi